## dot2tex 2.11.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dot2tex.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dot2tex.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dot2tex"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dot2tex"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## dot2tex 2.9.0

=== debian/changelog ===
dot2tex (2.9.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Sandro Tosi ]
  * debian/patches/sphinx-1.8-gh-63.patch
    - fix FTBFS with sphinx 1.8 by removing pngmath extension; Closes: #918814
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Mon, 28 Jan 2019 22:39:29 -0500

dot2tex (2.9.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the Recommends from pgf to texlive-pictures.
    (Closes: #867070)

 -- Adrian Bunk <bunk@debian.org>  Mon, 31 Jul 2017 11:39:38 +0300

dot2tex (2.9.0-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sat, 15 Aug 2015 19:52:46 +0100

dot2tex (2.9.0-1) experimental; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

  [ Sandro Tosi ]
  * New upstream release; Closes: #748767
  * Acknowledge NMU; thanks Julien; Closes: #725066
  * debian/control
    - adopt package; Closes: #739877
    - use X-P-V instead of the obsolete d/pyversions
    - bump Standards-Version to 3.9.6 (no changes needed)
    - update Homepage field
  * debian/{control, rules}
    - switch from cdbs to dh sequencer
    - switch from python-support to dh_python2
  * debian/pycompat
    - removed, obsolete
  * debian/{compat, control}
    - bump dh compat level to 9
  * debian/source/format
    - switch to 3.0 (quilt) source format
  * debian/watch
    - use PyPI redirector
  * debian/copyright
    - switch to DEP-5 format
    - update upstream copyright years
  * debian/rules
    - repack no longer needed
    - install the right upstream changelog file
  * debian/{control, doc-base, docs, rules}
    - build and install sphinx documentation
  * debian/{examples, rules}
    - install examples in d/rules

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Feb 2015 20:08:42 +0000

dot2tex (2.8.7+repack-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix ImportError in dotparsing.py (closes: #725066)

 -- Julien Cristau <jcristau@debian.org>  Thu, 06 Feb 2014 16:52:31 +0100

dot2tex (2.8.7+repack-1) unstable; urgency=low

  * New upstream release
  * debian/control: new Standards-Version
  * debian/rules: introduced a get-orig-source rule to repack the
    tarball because of bad permissions
  * debian/doc-base: added
  * debian/copyright: updated year and license information

 -- Peter Collingbourne <peter@pcc.me.uk>  Wed, 10 Feb 2010 22:35:17 +0000

dot2tex (2.8.6-1) unstable; urgency=low

  * New upstream release
  * debian/control: new Standards-Version
  * debian/dot2tex.1: documented the --pgf118 option
  * debian/dot2tex.1: fixed typo
  * debian/dot2tex.1: documented the mechanism for automatic conversion
    of dot files to xdot format

 -- Peter Collingbourne <peter@pcc.me.uk>  Wed, 29 Jul 2009 21:37:05 -0700

dot2tex (2.8.5-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Marco Rodrigues ]
  * debian/control:
    + Add ${misc:Depends} to Depends to remove
      lintian warning.

  [ Peter Collingbourne ]
  * New upstream release
  * debian/control: new Standards-Version
  * debian/control: generated files now require pgf >= 2.00
  * debian/copyright: changed year to 2009
  * debian/control, debian/copyright, debian/dot2tex.1: changed
    maintainer email address (again)
  * debian/copyright: refer specifically to GPL-2
  * debian/copyright: use the word Copyright to correctly express
    copyright ownership

 -- Peter Collingbourne <peter@pcc.me.uk>  Sun, 15 Mar 2009 16:23:06 +0000

dot2tex (2.8.4-1) unstable; urgency=low

  * New upstream release
  * debian/dot2tex.1: documented --cache option
  * debian/control: changed maintainer email address

 -- Peter Collingbourne <peter@peter.uk.to>  Mon, 29 Sep 2008 00:58:56 +0100

dot2tex (2.8.2-1) unstable; urgency=low

  [ Peter Collingbourne ]
  * New upstream release
  * debian/patches/01-shebang.patch: removed, applied upstream
  * debian/rules: simple-patchsys removed, no longer required
  * debian/control
    - updated Standards-Version
    - removed references to tetex
    - removed unnecessary ~ in python version number

  [ Piotr Ożarowski ]
  * Added DM-Upload-Allowed: yes

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Thu, 12 Jun 2008 14:04:56 +0100

dot2tex (2.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - replaced dependency on pydot with pyparsing and graphviz
    - replaced python-all-dev Build-Dep with python
    - moved Build-Depends on pyparsing to Build-Depends-Indep
  * debian/copyright: added 2008 to upstream copyright
  * debian/watch: escaped the dots
  * debian/pyversions, debian/control: package now works with only
    Python 2.4+

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Mon, 26 May 2008 15:32:30 +0100

dot2tex (2.7.0-1) unstable; urgency=low

  * New upstream release
  * dot2tex/dot2tex.py: backed out all changes apart from shebang as
    taken upstream
  * debian/dot2tex.1: documented new command line option --codeonly
  * debian/rules: moved patching system to CDBS simple-patchsys
  * debian/control: updated Standards-Version
  * debian/control: added Uploaders, Vcs-Svn, Vcs-Browser fields for
    PAPT
  * debian/copyright: changed year to 2008

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Wed, 16 Jan 2008 01:31:30 +0000

dot2tex (2.6.1-1) unstable; urgency=low

  * New upstream release
  * dot2tex/dot2tex: removed shebang (added upstream)

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Tue, 13 Nov 2007 16:04:10 +0000

dot2tex (2.6.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: changed years to 2007
  * debian/dot2tex.1: documented new command line options


=== debian/control ===
Source: dot2tex
Section: graphics
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python, dh-python, python-sphinx
Build-Depends-Indep: python-pyparsing (>= 0.4.8)
X-Python-Version: all
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/python-team/applications/dot2tex.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/dot2tex
Homepage: https://github.com/kjellmf/dot2tex

Package: dot2tex
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}, python-pyparsing (>= 0.4.8), graphviz
Recommends: texlive-latex-base, texlive-pictures | texlive-pstricks, preview-latex-style
Enhances: latex-beamer
Description: Graphviz to LaTeX converter
 The purpose of dot2tex is to give graphs generated by the graph layout tool
 Graphviz a more LaTeX friendly look and feel. This is accomplished by:
 . 
  - Using native PSTricks and PGF/TikZ commands for drawing arrows,
    edges and nodes.
  - Typesetting labels with LaTeX, allowing mathematical notation.
  - Using backend specific styles to customize the output.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/dot2tex/dot2tex-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dot2tex 2.11.3

=== debian/changelog ===
dot2tex (2.11.3-8) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.7.0.
  * debian/patches/invalid-escape-sequence.patch
    - Fix typo and properly mark raw string literal (Closes: #1085553).

 -- Doug Torrance <dtorrance@debian.org>  Sun, 29 Dec 2024 13:19:25 -0500

dot2tex (2.11.3-7) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090097).

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Dec 2024 01:29:48 +0000

dot2tex (2.11.3-6) unstable; urgency=medium

  * debian/control
    - Add graphviz, preview-latex-style, and texlive-pstricks to
      Build-Depends; needed for tests.
    - Make texlive-pstricks its own item in Recommends rather than a backup
      for texlive-pictures.
    - Move python3-pyparsing from Build-Depends-Indep to Build-Depends;
      unnecessary since the only binary package is already architecture
      independent.  Also drop the minimum version as a higher version now
      exists in oldoldstable.
    - Add Testsuite field to run autodep8 tests.
  * debian/patches/invalid-escape-sequences
    - New patch; fix invalid escape sequences (Closes: #1065655).
  * debian/patches/skip-semicolon-test.patch
    - New patch; skip semicolon test.  It is known not to work in Python 3.
  * debian/rules
    - Pass --test-args to pybuild with location of tests.
    - New execute_after_dh_auto_clean target; clean up documentation build
      directory (Closes: #1044970).

 -- Doug Torrance <dtorrance@debian.org>  Mon, 18 Mar 2024 22:49:25 -0400

dot2tex (2.11.3-5) unstable; urgency=medium

  * debian/control
    - Add myself to Uploaders (Closes: #1065139).
    - Add Rules-Requires-Root field (no).
  * debian/watch
    - Use uscan version 4.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 16 Mar 2024 21:45:26 -0400

dot2tex (2.11.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

  [ Sandro Tosi ]
  * orphan

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 01:10:44 -0500

dot2tex (2.11.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Sep 2021 23:28:48 -0400

dot2tex (2.11.3-2) unstable; urgency=medium

  * debian/control
    - b-d-i on python3-pyparsing

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2020 17:43:15 -0500

dot2tex (2.11.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * d/control: Remove trailing whitespaces.

  [ Sandro Tosi ]
  * New upstream release; Closes: #933310
  * debian/copyright
    - update upstream copyright notice
  * Switch to python3; Closes: #936440

 -- Sandro Tosi <morph@debian.org>  Thu, 19 Dec 2019 14:36:49 -0500

=== debian/control ===
Source: dot2tex
Section: graphics
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               graphviz,
               preview-latex-style,
               python3,
               python3-pyparsing,
               python3-setuptools,
               python3-sphinx,
               texlive-pstricks
X-Python-Version: all
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/dot2tex.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dot2tex
Homepage: https://github.com/kjellmf/dot2tex
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: dot2tex
Architecture: all
Depends: graphviz,
         python3-pyparsing,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Recommends: preview-latex-style,
            texlive-latex-base,
            texlive-pictures,
            texlive-pstricks
Enhances: latex-beamer
Description: Graphviz to LaTeX converter
 The purpose of dot2tex is to give graphs generated by the graph layout tool
 Graphviz a more LaTeX friendly look and feel. This is accomplished by:
 .
  - Using native PSTricks and PGF/TikZ commands for drawing arrows,
    edges and nodes.
  - Typesetting labels with LaTeX, allowing mathematical notation.
  - Using backend specific styles to customize the output.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = -s tests

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs/ html SPHINXBUILD="python3 -m sphinx"

override_dh_installdocs:
	dh_installdocs readme.md docs/_build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_installexamples:
	dh_installexamples examples/*

execute_after_dh_auto_clean:
	make -C docs clean

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/dot2tex/dot2tex@ANY_VERSION@@ARCHIVE_EXT@
